#
# Cookbook Name:: ec2-ami-tools
# Recipe:: default
#
# Copyright 2011, trampoline systems ltd
#
# All rights reserved - Do Not Redistribute
#
require 'fileutils'

package "unzip"

remote_file "/tmp/ec2-ami-tools.zip" do
  source "http://s3.amazonaws.com/ec2-downloads/ec2-ami-tools.zip"
end

bash "unzip ec2-ami-tools" do
  cwd "/tmp"
  code <<-EOH
    unzip -o -d /usr/local/share ./ec2-ami-tools.zip
  EOH
  not_if { File.exist?("/usr/local/share/ec2-ami-tools") }
end

# create a soft-link to a know path only if the zipfile extracted
link "/usr/local/share/ec2-ami-tools" do
  to Dir["/usr/local/share/ec2-ami-tools-*"].first
  only_if { Dir["/usr/local/share/ec2-ami-tools-*"].first }
end

